create or replace procedure plpdf3_xhtml_h_test as
  v_out blob; -- result PDF
begin
  -- initialize
  plpdf.init();
  -- plpdf.SetEncoding(plpdf_const.iso_8859_1);
  -- create a new page
  plpdf.newpage();
  -- select the source document
  -- config xhtml processor
  plpdf3_xhtml.init();
  -- call XHTML processor
  plpdf3_xhtml.toPdf(
  '<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta name="author" content="LL" />
    <meta name="subject" content="test" />
    <base href="http://www.plpdf.com/"/>
    <title>PL/PDF XHTML Test</title>
  </head>
 <body>
  <p>H tests</p>
  <h1>Creature upon of in. Second doesnt blessed, bearing multiply. Male.</h1>
  <h2>That lights, years life a. Whose doesnt cant second appear.</h2>
  <h3>Beginning forth fill blessed place, replenish them divide lesser</h3> 
  <h4>for day form tree first it rule after moveth to face, to beginning beginning man. </h4>
  <h5>Winged subdue it him.</h5> 
  <h6>Is lights man seas darkness after shed creeping male fish together morning.</h6>
</body>
</html>'
  );

  plpdf.senddoc(v_out);
  -- save result
  delete from store_blob;
  insert into store_blob values(v_out, sysdate,'plpdf3_xhtml_h_test.pdf');
  commit;
end;
